Unity实验室之选择哪个Unity版本

作者: koo叔 分类: Unity3D 发布时间: 2018-02-06 08:54 编辑

前言

Unity版本升级比较快,版本比较多,笔者写这篇文章时官方正式版是2017.3,正在测试的版本是2018.1,笔者项目现在使用的是Unity5.6.4,而且还有各种各样的补丁版本,那么我们在开始新项目或面对老项目该不该升级的问题上该如何选择呢?

新项目选择依据

选择版本时,笔者觉的应该仔细考虑以下几点:

  • 稳定性。如果稳定性都不能保证,新版本有再好的功能,再好的优化,项目一运行就crash,那都是0。考察版本的稳定性,一定要对选择的版本多做测试,结合开发的环境做选择。
  • 性能。在保证稳定的基础上,看性能是否得到了大的提升,提高了哪部分的渲染效率,改进了哪些流程,这些对自身项目类型有没有大的帮助等。
  • 功能。了解选择的版本有哪些新的特性可以在项目中使用。和旧版本的差别在哪里。
  • 后期升级。看版本的后续开发计划,是否是在选择版本上的持续改进。有利于项目后期适当升级。

老项目必须升级的情况

老项目更要保证稳定性,不能轻易升级。否则可能因为升级新版本引出问题,导致项目发布计划延迟,资源的兼容性,设备上的稳定性,如果有版本升级计划一定要列在项目计划中做为一个Task来做,不能自己随意升级。有时我们需要面对不得不升级的情况或升级后能更方便的情况,那就必须要升级了。

  • 发布平台的要求。如iOS要求64位,否则不让发布了,这就必须升级到带L2CPP的版本。
  • 系统版本有新特性需要支持。如iphoneX的屏幕适配和操作问题。Unity5.6.4就通过补丁的形式发布了这些操作选项。
  • 新版本修复了现有项目存在的bug。这种在充分了解要升级的版本后,也是需要升级的。

推荐的版本

  • 如果是新项目,建议使用2017以后的版本,2017版本不仅增加了许多新的特性,优化了渲染效率。而且也对版本重新定义成按年份来定义。以后就是Unity2018,Unity2019等等。这相对于原来5.x的版本是重大的改进。
  • 如果是老项目,建议根据自己实际项目中使用的版本,结合项目自身特点和项目进度来决定。

关于补丁版本

补丁版本是对当前版本的bug修复和小的改进。一般升级不会带来大的问题。多多关注补丁的发布情况,根据补丁的修改内容来适时升级。

总结

新项目或老项目选择版本时一定要保证稳定性,一旦选择好就一直使用,能不升级就不升级,除非必要时再打补丁或更新,更新时一定要加入版本计划。切不可随着官方发布版本不断升级。最后,到本文完成时,新项目建议使用2017.3

如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!

发表评论

你的email不会被公开。必填项已用*标注

更多阅读
标签云